Skip to main content
GET
Get payroll

Authorizations

Authorization
string
header
required

API key authentication. Include your access token as: Authorization: Basic <ACCESS_TOKEN>

Path Parameters

company_id
string
required

Company ID.

payroll_id
string
required

Response

Payroll returned.

payroll_id
string
company_id
string
external_id
string | null
currency
string | null
status
enum<string>

Payroll status.

  • created: the payroll exists and is waiting for funds.
  • received: Bitwage received the funding.
  • processing: the payroll is approved or released and payments are in flight.
  • fulfilled: all payments are complete.
  • canceled: the payroll was canceled or deleted.
Available options:
created,
received,
processing,
fulfilled,
canceled
created
string<date-time> | null
datereceived
string<date-time> | null
dateapproved
string<date-time> | null
datereleased
string<date-time> | null
datefulfilled
string<date-time> | null
datecanceled
string<date-time> | null
invoice_ids
string[] | null

Claim IDs linked to the payroll, or null.

payments
object[]

Same object as payment on user.payment_status_update, not the summary sent on company.payroll_status.